FASTAQ-TO_RANDOM_SUBSET(1)

NAME
fastaq_to_random_subset - Make a random sample of sequences (and optionally mates as well)

DESCRIPTION
usage: fastaq_to_random_subset [options] <infile> <outfile> <percent>

Takes a random subset of reads from a sequence file and optionally the corresponding read from a mates file. Output is interleaved if mates file given

  positional arguments:

infile
    Name of input file

outfile
    Name of output file

FLOAT
    Per cent probability of keeping any given read (pair) in [0,100]

  options:

-h, --help
    show this help message and exit

--mate_file MATE_FILE
    Name of mates file

--seed INT
    Seed for random number generator. If not given, python's default is used